Part Spiral/de: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/de |Helix |Kreis |Part |IconL=Part_Helix.svg |IconR=Part_Circle.svg |IconC=Workbench_Part.svg }}")
No edit summary
Line 10: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/de
{{GuiCommand/de
|Name=Part Spiral
|Name=Part Spiral
|Name/de=Part Spirale
|Name/de=Part Spirale
|MenuLocation=[[Part_Workbench/de|Formteil]] → [[Part_CreatePrimitives/de|Grundkörper erstellen...]] → Spirale
|MenuLocation=Formteil → [[Part_Primitives/de|Grundkörper erstellen...]] → Spirale
|Workbenches=[[Part_Workbench/de|Part]]
|Workbenches=[[Part_Workbench/de|Part]], [[OpenSCAD_Workbench/de|OpenSCAD]]
|Version=0.14
|Version=0.14
|SeeAlso=[[Part_CreatePrimitives/de|Grundkörper erstellen]]
|SeeAlso=[[Part_Primitives/de|Part Grundelemente]]
}}
}}
</div>


== Beschreibung ==
== Beschreibung ==

Revision as of 15:03, 20 April 2022

Part Spirale

Menüeintrag
Formteil → Grundkörper erstellen... → Spirale
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
0.14
Siehe auch
Part Grundelemente

Beschreibung

A Part Spiral is a parametric shape that can be created with the Part Primitives command. In the coordinate system defined by its DatenPlacement property, the spiral lies on the XY plane with its center at the origin and its start point on the X axis. It widens as it turns counterclockwise.

Anwendung

See Part Primitives.

Example

Part Spiral from the scripting example

A Part Spiral object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Spiral object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Spiral

  • DatenGrowth (Length): The distance between two consecutive turns of the spiral. The default is 1mm.
  • DatenRadius (Length): The start radius of the spiral, the distance between its center and its start point. Can be 0mm. The default is 1mm.
  • DatenRotations (QuantityConstraint): The number of rotations, or turns, of the spiral. The default is 2.
  • DatenSegment Length (QuantityConstraint): The number of turns per spiral subdivision. The default is 1, meaning each full turn of the spiral is a separate segment. Use 0 to suppress subdivision.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Spiral can be created with the addObject() method of the document:

spiral = FreeCAD.ActiveDocument.addObject("Part::Spiral", "mySpiral")
  • Where "mySpiral" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

spiral = doc.addObject("Part::Spiral", "mySpiral")
spiral.Growth = 2
spiral.Radius = 3
spiral.Rotations = 4
spiral.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()